## lighttpd 1.4.25-1

=== debian/changelog ===
lighttpd (1.4.25-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <rob@naturalexplorations.ca>  Wed, 25 Nov 2009 14:28:31 +0000
