=== debian/control ===
Source: lighttpd
Section: user/network
Priority: optional
Maintainer: Rob Williams <rob@naturalexplorations.ca>
Build-Depends: debhelper (>= 5), autotools-dev, zlib1g-dev, libbz2-dev
Standards-Version: 3.7.2

Package: lighttpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LigHTTPd mini web server
 LigHTTPD mini web server
