## lighttpd 1.4.25-2

=== debian/changelog ===
lighttpd (1.4.25-2) unstable; urgency=low

  * Optified and included PCRE support

 -- Rob Williams <rob@naturalexplorations.ca>  Wed, 9 Jan 2010 14:28:31 +0000
