=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: optional
 Maintainer: Rob Williams <rob@naturalexplorations.ca>
-Build-Depends: debhelper (>= 5), autotools-dev, zlib1g-dev, libbz2-dev
+Build-Depends: debhelper (>= 5), autotools-dev, zlib1g-dev, libbz2-dev, libpcre3-dev
 Standards-Version: 3.7.2
 
 Package: lighttpd
