=== debian/changelog ===
lighttpd (1.4.25-3) unstable; urgency=low

  * Added Upstart script and XB-Maemo-Display-Name

 -- Rob Williams <rob@naturalexplorations.ca>  Wed, 10 Feb 2010 14:28:31 +0000
