=== debian/control ===
--- 
+++ 
@@ -8,5 +8,6 @@
 Package: lighttpd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+XB-Maemo-Display-Name: LigHTTPd Mini Web Server
 Description: LigHTTPd mini web server
  LigHTTPD mini web server
