=== debian/rules ===
--- 
+++ 
@@ -68,9 +68,12 @@
 	# Add here commands to install the package into debian/lighttpd.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/lighttpd install
 	mkdir -p $(CURDIR)/debian/lighttpd/etc
+
 	mkdir -p $(CURDIR)/debian/lighttpd/wwwPHP
 	cp $(CURDIR)/confFiles/lighttpd.conf $(CURDIR)/debian/lighttpd/etc/lighttpd.conf
-	
+# For Fremantle Only!
+#	mkdir -p $(CURDIR)/debian/lighttpd/etc/event.d
+#	cp $(CURDIR)/debian/upstart $(CURDIR)/debian/lighttpd/etc/event.d/lighttpd	
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -104,7 +107,8 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
+# Fremantle only!
+#	maemo-optify
 	dh_md5sums
 	dh_builddeb
