=== debian/changelog ===
lighttpd (1.4.26-3ubuntu2) maverick; urgency=low

  * syntax_check function defined in init script. (LP: #600767)

 -- David Sugar <david.sugar@canonical.com>  Thu, 15 Jul 2010 17:50:35 +0000

lighttpd (1.4.26-3ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #599010), remaining changes:
    - debian/control: 
      + libgamin-dev rather than libfam-dev to fix startup warning.
      + debhelper Build-depends bumped to (>= 7.0.50) for
        overrides in rules file. 
    - debian/lighttpd.init: clean environment; Check syntax during start/reload
      restart/force-reload.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake, libtool
      + debian/lighttpd-dev.install: Added.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not start
        before apache2 but in the same runlevel with the same priority.
    - debian/patches/build-dev-package.patch: Updated
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4 (LP: #551211)

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sun, 27 Jun 2010 13:13:01 +0200

lighttpd (1.4.26-3) unstable; urgency=low

  * Ack for NMU, fix for SSL incompatibility (closes: #572031)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Thu, 03 Jun 2010 21:22:24 +0200

lighttpd (1.4.26-2) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
   + removed Franz Pletz from Uploaders, he's MIA (closes: #579366)
   + change dependency from libmysqlclient15-dev to more general 
     libmysqlclient-dev

  [ Olaf van der Spek ]
  * take conf dir as an optional parameter (closes: 489854)
  * don't try to make /var/run/lighttpd when invoked with status 
    (closes: 538662)
  * split FastCGI PHP conf from FastCGI conf (closes: 515699)
  * reduce max-procs from 2 to 1 (closes: 456200)
  * move debian doc handling into it's own file
  * set default vhost dir to /srv/<host>/htdocs (closes: 471054)
  * use delaycompress instead of copytruncate for logrotate (closes: 563626)
  * don't wait for old process to stop before starting new one for reload 
    (closes: 504315)
  * use reopen-logs for logrotate (closes: 504319)
  * add no-www.conf (for use with evhost and simple-vhost, closes: 471055)
  * move evhost conf into it's own file


 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 01 Jun 2010 17:08:42 +0200

lighttpd (1.4.26-1.1ubuntu3) lucid; urgency=low

  * debian/control: Rebuild for libmysqlclient transition. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Apr 2010 06:12:07 -0400

lighttpd (1.4.26-1.1ubuntu2) lucid; urgency=low

  * debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes 
    failure to bind port in ipv4 (LP: #551211)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 03 Apr 2010 15:37:37 -0400

lighttpd (1.4.26-1.1ubuntu1) lucid; urgency=low

  * Merge from debian unstable (LP: #407722).  Remaining changes:
    - debian/control: libgamin-dev rather than libfam-dev to fix startup 
      warning.
    - debian/init.d: clean environment; Check syntax during start/reload
      restart/force-reload.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set: 
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on 
        automake, libtool
      + debian/lighttpd-dev.install: Added.
  * debian/control: debhelper Build-depends bumped to (>= 7.0.50) for 
    overrides in rules file.
  * debian/rules: 
    - Add override_dh_installinit to set "defaults 91 09" to not start 
      before apache2 but in the same runlevel with the same priority.
  * debian/patches/build-dev-package.patch: Updated
  * Also closes: (LP: #521659, LP: #523682)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 27 Mar 2010 15:53:32 -0400

lighttpd (1.4.26-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply upstream patch to fix openssl (closes: #572031)

 -- John Ham <buraphalinuxserver@gmail.com>  Mon, 15 Mar 2010 13:31:52 +0700

lighttpd (1.4.26-1) unstable; urgency=low

  * New upstream release (closes: #568735)
  * Use provided patch from  Andres Rodriguez <andreserl@ubuntu.com>
    to implement status action in init.d script (closes: #539955)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 09 Feb 2010 18:02:13 +0100

lighttpd (1.4.24-1) unstable; urgency=low

  * New upstream release (closes: #530892) (closes: #538135) (closes: #482601)
    (closes: #541428)
  * debian/control:
   + Standards-Version: 3.8.3
  * debian/init.d renamed to debian/lighttpd.init
  * Added $syslog to LSB header in init script (closes: #545576)
    (Jeremy Lal <kapouer@melix.org>)
  * debian/init.d: force-reload moved to reload section (closes: #538661)
    (Peter Eisentraut <petere@debian.org>)
  
 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 30 Oct 2009 17:37:29 +0100

lighttpd (1.4.23-3) unstable; urgency=low

  * debian/rules: make sure that scripts have proper rights
   (closes: #536668), (closes: #536681), (closes: #536688) (closes: #536668)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Mon, 13 Jul 2009 11:17:09 +0200

lighttpd (1.4.23-2) unstable; urgency=low

  * Add lighttpd.docs with README & NEWS file
  * New upstream closes wishlist bugs (closes: #535065) (closes: #515777)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 10 Jul 2009 11:11:15 +0200

lighttpd (1.4.23-1) unstable; urgency=low

  * New upstream release

