## lighttpd 1.4.26-1

=== debian/changelog ===
lighttpd (1.4.25-5) unstable; urgency=low

  * fixed init.d optification problem file for Maemo4

 -- Rob Williams <rob@naturalexplorations.ca>  Thur, 11 Feb 2010 14:48:31 +0000

lighttpd (1.4.25-4) unstable; urgency=low

  * Optified and fixed init.d file for Maemo4

 -- Rob Williams <rob@naturalexplorations.ca>  Thur, 11 Feb 2010 14:28:31 +0000
