=== debian/control ===
Source: lighttpd
Section: user/network
Priority: optional
Maintainer: Rob Williams <rob@naturalexplorations.ca>
Build-Depends: debhelper (>= 5), maemo-optify, autotools-dev, zlib1g-dev, libbz2-dev, libpcre3-dev
Standards-Version: 3.7.2

Package: lighttpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Maemo-Display-Name: LigHTTPd Mini Web Server
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAK8AAACvABQqw0mAAAACV0RVh0U29mdHdhcmUATWFj
 cm9tZWRpYSBGaXJld29ya3MgTVggMjAwNId2rM8AAAQmSURBVHictZZraJZl
 GICv+z3s20GdrbkDbUMZTtNIcmMMMa1Ms8OfnD+UJCu1QZRiNDexaTrRr6Qw
 KGHgD5eCgR2woT+CklEGZp/UpKlrzrmtuY00p/Pbvu893P343vCAujXthvfl
 fZ73fp7rfu4Tj6gq91Oa2y88bprW0Sn5E/wb5437BWhq7SyNnG5vEGECin/r
 f7nXE/UPxWefau2o8jz/hQfSx34/bWLuvNvpWaMFdF+88kTccataz/+5UEQo
 eCg7Oi4t5aU76f9nUEtX37yU5NC6y/0DC5pb25mQMZ5J+bl4nleZPX5Mz53W
 jdh1Zzp7F5imWW1b5pNnO7ppaevksWmTycnKIBZ3jhXlZZXdbf2wJ/qjq+9Z
 hapQkj037rg0Hvudgeggc0sfJTU1mVjc8YFVw+1zW1BLZ6+ByFLgTUOkLCnJ
 prvnL3443kR2ZgYL55SggOO4ADuK8rJOjgoUyHQRKUPg+K+nOHnmHMWPFDFj
 WiGO4+InXH5O1d80HASGidHpjp7nG4/9dvBy/4BZNnM6k/JziMXiXF+hTxfl
 ZX83EtBdC3ZqQc6htq7eEw9mZ1JYkMvQTRD2jxQyLAig79rggU8OHtmovj9H
 4NtgOgq8NVIIjKIztHT2zUewi/KyDv+voNGKzHx9y2KgOVJX01xcUTsHOOeq
 322JUQmcj9TV7C+uqH1KVX8RkYmg6SAPxxw3NiU3M3325ILBmOsCtABZQIpn
 sNf0KQFKUY5UrypvtgQOKLwHbAZqUD61xHgDKASWFldsOSvIBmANUAFyFUiz
 TGOJqn7kqf9iANgAbAN6TZ+pQB6QifBqePeXGw2gHxgCELgC2AKzUCojdTUz
 FJoAH3Ak8TQr+qFtGpGvtq3e7rje58AhrLSDwFlU1wClgKGqm4FvgL03ZZ2C
 AiEFD9HskoraBYKRpjAkIruBRUAUJN1XbABDJA1IUTdqAYWI7CKRnS4wDugE
 MoxbUkGClxd8bwVdBgwo+m6wwRi5XbAT+jawtXpl+QfA+Ov2J+rIBK4FygYQ
 VTBB2hT2ATEBS5QLClcBU28hBGIDfdUryxuCsSmJepsKdFlBjF4pqagVTfS+
 OPAFcFhgrKLPKbJIBDtwqxlYHwJQxQJsFRAl9QYT4ojsBGJAuQE6H6gCIqBv
 I/pTpK5mF4ksXBap29gGrPGVNuB94GvQFs/XFQCGIXuA7etXLLomhiz+l2Ja
 xloxZG0oZD5TvbL853sq2Mpw/cvxmNvw8aYVf68Lf5bnuN4YyzJ6ULIc13Nj
 Q25/KNnSnTWvXRr1neGdcH2GQH5SyFpYGa4/JUjUtswlijYilNi22WHbZg7Q
 AFwa/XVLGUBpJJE8SSB9QDuQCgyiHCVRg6nrwnvS77nXVYbrZ6Gc2bF++cVg
 vBo4saN6+Y/ByVMMNP4PB/StvwxpI2kAAAAASUVORK5CYII=
XSBX-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1349&atid=4992
Description: LigHTTPd is a compact lightweight
 web server. It comes preconfigured with PHP-CGI
 support, but to make PHP work you must also install
 the PHP-CGI package. The webserver is a background daemon
 set to start on bootup and serve pages out of the /wwwPHP folder.
 You can change the configuration by looking at /etc/lighttpd.conf.
 For more information on LigHTTPD, checkout the homepage:
 http://www.lighttpd.net
