## lighttpd 1.4.26-2

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 XB-Maemo-Display-Name: LigHTTPd Mini Web Server
+XSBC-Maemo-Display-Name: LigHTTPd Mini Web Server
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAK8AAACvABQqw0mAAAACV0RVh0U29mdHdhcmUATWFj
  cm9tZWRpYSBGaXJld29ya3MgTVggMjAwNId2rM8AAAQmSURBVHictZZraJZl
@@ -36,7 +37,7 @@
  Q25/KNnSnTWvXRr1neGdcH2GQH5SyFpYGa4/JUjUtswlijYilNi22WHbZg7Q
  AFwa/XVLGUBpJJE8SSB9QDuQCgyiHCVRg6nrwnvS77nXVYbrZ6Gc2bF++cVg
  vBo4saN6+Y/ByVMMNP4PB/StvwxpI2kAAAAASUVORK5CYII=
-XSBX-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1349&atid=4992
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1349&atid=4992
 Description: LigHTTPd is a compact lightweight
  web server. It comes preconfigured with PHP-CGI
  support, but to make PHP work you must also install
