=== debian/changelog ===
lighttpd (1.4.28-2ubuntu2) oneiric; urgency=low

  * No-change rebuild for openssl0.9.8 -> openssl1.0.0 transition.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 21 Aug 2011 00:26:14 +0400

lighttpd (1.4.28-2ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control:
      + libgamin-dev rather than libfam-dev to fix startup warning.
      + debhelper Build-depends bumped to (>= 7.0.50) for
        overrides in rules file.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake, libtool
      + debian/lighttpd-dev.install: Added.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not start
        before apache2 but in the same runlevel with the same priority.
    - debian/patches/build-dev-package.patch: Updated
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4 (LP: #551211)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 21 Nov 2010 12:09:27 +0530

lighttpd (1.4.28-2) unstable; urgency=medium

  [ Olaf van der Spek ]
  * Use relative instead of absolute links for conf-enabled (closes: #541645)
  * Fix /doc/ for IPv6 (closes: #512583)
  
  [ Krzysztof Krzyżaniak (eloy) ]
  * Added patch patches/silence-errors.diff (closes: #601177)

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Fri, 12 Nov 2010 12:08:48 +0100

lighttpd (1.4.28-1ubuntu1) natty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: 
      + libgamin-dev rather than libfam-dev to fix startup warning.
      + debhelper Build-depends bumped to (>= 7.0.50) for
        overrides in rules file. 
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake, libtool
      + debian/lighttpd-dev.install: Added.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not start
        before apache2 but in the same runlevel with the same priority.
    - debian/patches/build-dev-package.patch: Updated
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4 (LP: #551211)
  * debian/patches/build-dev-package.patch: updated
  * Dropped changes:
    - debian/lighttpd.init: clean environment; Check syntax during start/reload:
      this change has been applied in the debian package
    - syntax_check function defined in init script. (LP: #600767): this change
      has been applied in the debian package
    - debian/patches/build-dev-package.patch: Updated: patch updated newly 

 -- Lorenzo De Liso <blackz@ubuntu.com>  Fri, 15 Oct 2010 21:01:50 +0200

lighttpd (1.4.28-1) unstable; urgency=low

  [ Olaf van der Spek ]
  * New upstream release (closes: 521235, 572031, 564556)
  * Add check_syntax() from Ubuntu (closes: 589200)

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 30 Aug 2010 20:53:18 +0200
