=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,6 @@
 install-stamp: build-stamp
 	dh --before dh_auto_install install
 	dh_auto_install
-	chmod a+x debian/create-mime.assign.pl
-	chmod a+x debian/include-conf-enabled.pl
-	chmod a+x debian/lighty-enable-mod
-	chmod a+x debian/use-ipv6.pl
 	dh --after dh_auto_install install
 	touch $@
 	install -m644 debian/lighttpd.ufw.profile debian/lighttpd/etc/ufw/applications.d/lighttpd
