=== debian/changelog ===
lighttpd (1.4.29-1) unstable; urgency=low

  * New upstream release
  * Fix "lighty-enable-mod should return non-zero on fail" Update script to
    leave with appropriate exit status (Closes: #629638)
  * Remove the following patches:
    + silence-errors.diff - applied upstream
    + patches/ssl-fix.patch - applied upstream
  * Add `debian/source/options' to make dpkg-source ignore glitches done by
    upstream's Makefile in `src/mod_ssi_exprparser.c' and `src/configparser.c'
  * Run maintainer scripts with `set -e'


 -- Arno Töll <debian@toell.net>  Mon, 04 Jul 2011 17:30:11 +0200

lighttpd (1.4.28-5) unstable; urgency=low

  * Build with sbuilder to avoid linking to non-existed packages.

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 26 Apr 2011 15:05:06 +0200

lighttpd (1.4.28-4) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * Add  Arno Töll to Uploaders
  
  [ Arno Töll ] 
  * Fix "leaves dangling alternatives on upgrade" add preinst script which
    removes the dangling symlink (Closes: #614716)
  * Fix "/etc/lighttpd/conf-available/15-fastcgi-php.conf: fastcgi-php
    file missing a required directive" add a dependency based recursive module
    enable system in lighty-enable-mod (Closes: #600050)
  * Fix "binNMU for openssl 1.0.0 broke SSL support" backport fix from upstream
    to avoid name clashes between OpenSSL and Lighty's MD5 implementation
    (Closes: #622733)

 -- Arno Töll <debian@toell.net>  Sat, 09 Apr 2011 13:22:45 -0400

lighttpd (1.4.28-3) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * Updated debian/control and debian/copyright files
  * fix for debhelper-overrides-need-versioned-build-depends (>= 7.0.50~)
  * debian/compat: increased to 8
  
  [ Olaf van der Spek]
  * Don't fail install if server fails to start (closes: #383425)
  * Fix index-file.names typo (closes: #609890)

 -- Olaf van der Spek <olafvdspek@gmail.com>  Mon, 03 Jan 2011 22:56:38 +0100
