=== debian/control ===
Source: lighttpd
Section: httpd
Priority: optional
Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
 Olaf van der Spek <olafvdspek@gmail.com>,
 Arno Töll <debian@toell.net>
Homepage: http://lighttpd.net/
Build-Depends: debhelper (>= 8), mime-support, libssl-dev,
 zlib1g-dev, libbz2-dev, libattr1-dev, libpcre3-dev, libmysqlclient-dev,
 libfam-dev, libldap2-dev, libfcgi-dev, libgdbm-dev, libmemcache-dev,
 liblua5.1-0-dev, pkg-config, uuid-dev, libsqlite3-dev,
 libxml2-dev, libkrb5-dev, perl
Vcs-Svn: svn://svn.debian.org/pkg-lighttpd/lighttpd/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-lighttpd/lighttpd/trunk/
Standards-Version: 3.9.2.0

Package: lighttpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 lsb-base (>= 3.2-14), mime-support, libterm-readline-perl-perl
Provides: httpd, httpd-cgi
Suggests: openssl, rrdtool, apache2-utils
Recommends: spawn-fcgi
Description: fast webserver with minimal memory footprint
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 It has support for
   * CGI, FastCGI and SSI
   * virtual hosts
   * URL rewriting
   * authentication (plain files, htpasswd, ldap)
   * transparent content compression
   * conditional configuration
 and configuration is straight-forward and easy.

Package: lighttpd-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: lighttpd
Description: documentation for lighttpd
 This package contains all documentation files for lighttpd.

Package: lighttpd-mod-mysql-vhost
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: MySQL-based virtual host configuration for lighttpd
 This package contains the myqsl_vhost module for lighttpd. With
 this module, it is possible to write the configuration for virtual
 hosts into a MySQL table instead of including it in the lighttpd
 configuration file.

Package: lighttpd-mod-trigger-b4-dl
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: lighttpd (<< 1.4.10-5)
Recommends: memcached
Description: anti-deep-linking module for lighttpd
 The trigger-b4-dl module for lighttpd can prevent deep linking
 from other sites by requiring users to visit a trigger URL to
 be able to download certain files.

Package: lighttpd-mod-cml
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: memcached
Description: cache meta language module for lighttpd
 With the cache meta language, it is possible to describe to the
 dependencies of a cached file to its source files/scripts. For the
 cache files, the scripting language LUA is used.
 .
 THIS MODULE IS OBSOLETED AND WILL BE REMOVED IN LIGHTTPD 2.0.
 USE mod_magnet INSTEAD.

Package: lighttpd-mod-magnet
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: control the request handling module for lighttpd
 mod_magnet can attract a request in several stages in the request-handling.
 either at the same level as mod_rewrite, before any parsing of the URL is done
 or at a later stage, when the doc-root is known and the physical-path is
 already setup

Package: lighttpd-mod-webdav
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: WebDAV module for lighttpd
 The WebDAV module is a very minimalistic implementation of RFC 2518.
 Minimalistic means that not all operations are implemented yet.
 .
 Currently supports:
  GET
  POST
  HEAD
  PROPFIND
  OPTIONS
  MKCOL
  DELETE
  PUT
